<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/downloadPDF.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
require_once(dirname(__FILE__)."/../common/common_functions.inc.php");
require_once(dirname(__FILE__)."/../file/file_functions.inc.php");
require_once(dirname(__FILE__)."/../file/file_config.inc.php");

/*if ( !isset($_SESSION[$GLOBALS["nectil_url"]]['SESSIONuserID']) ){
	echo "You're not logged";
	die();
}*/
session_write_close();
if(!isset($_GET['template']))
	$_GET['template'] = 'simple.xsl';
if (/*isset($_GET['languageID']) &&*/ isset($_GET['ID']) && isset($_GET['module']) && isset($_GET['template'])){
	$moduleInfo = moduleInfo($_GET['module']);
	$GLOBALS['no_variable_nectil_vars']=true;
	//languageID="'.$_GET['languageID'].'"
	$result = query('<QUERY><GET refresh="daily"><'.strtoupper($moduleInfo->name).' ID="'.$_GET['ID'].'"><WITH depth="all"><DESCRIPTIONS/></WITH></'.strtoupper($moduleInfo->name).'></GET></QUERY>',FALSE,TRUE,TRUE);
	if(!isset($_GET['output']))
		$_GET['output'] = 'pdf';
	$template = $GLOBALS["library_dir"].$moduleInfo->name.$slash."pdf".$slash.$_GET['template'];
	
	transform_to_pdf($result,$template);
}else{
	xml_out("<?xml version='1.0'?><RESPONSE>".generateMsgXML(1,"Parameter missing.")."</RESPONSE>");
}
?>
